*{
    list-style-position: inside;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    scrollbar-width: none;
}

body{
    background-color: azure;
    display: flex;
    font-family: 'Poppins';
    flex-direction: column;
}
body>div:not(:first-of-type){
    padding: 20px;
    width: 90vw;
    max-width: 90vw;
    display: block;
    margin: 10px auto;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
}
.header{
    border-bottom: 1px solid rgba(192, 204, 203, 0.4);
    /*box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;*/
    width: 100vw;
    height: 3.5rem;
    background-color: rgb(245, 255, 255);
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    padding: 10px;
    position: sticky;
    top: 0;
}
img{
    width: 3.2rem;
    height: 3.2rem;
    border-radius: 50%;
    position: absolute;
    left: 10px;
}
.header-list{
    list-style-type: none;
    font-family: Verdana;
    display: flex;
    position: relative;
    float: right;
}
.header-list li{
    margin: 10px;
}
.header-list li a{
    color: black;
    text-decoration: none;
}
h2{
    font-family: Trebuchet MS;
    margin: 15px;
}
.prompt{
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 100%;
}
input{
    border: 2px solid black;
    border-radius: 5px;
    padding: 0px 10px;
}
.inBox{
    width: 80%;
    height: 3em;
    margin: 20px 10px;
}
button{
    width: 70px;
    height: 40px;
    padding: 5px auto;
    background-color: brown;
    border-radius: 10px;
    font-size: large;
    font-weight: 700;
    border: 2px solid rgba(192, 204, 203, 0.4);
    transition: all 0.5s ease;
    cursor: pointer;
}
button:hover{
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;;
    border: 2px solid rgba(44, 211, 197, 0.4);
}
#eqs{
    width: 3.14em;
    height: 3.14em;
    border: 2px solid black;
    border-radius: 10px;
    padding: 5px 5px;
    margin: 5px;
    font-size: auto;
    font-weight: 500;
}
.matrix {
    display: grid;
    gap: 1px;
    padding: 5px;
    width: fit-content;
    background-color: var(--clr);
    border-radius: 8px;
    margin: 5px 10px;
}
.matrix input {
    margin: 3px;
    width: 40px;
    height: 40px;
    text-align: center;
    font-size: 16px;
    border: 1px solid black;
    outline: none;
    transition: all 0.2s ease-in-out;
}
.matrix input:focus {
    border-color: var(--clr, black);
}
.matrixrow{
    display: flex;
    gap: 10px;
}
.matrixcol{
    width: 40px;
    display: flex;
    flex-direction: column;
    margin: 0px 5px;
}

@media only screen and (max-width: 600px) {
    body>div:not(:first-of-type){
        width: 100vw;
        max-width: 100vw;
        padding: 20px;
        display: block;
        margin: 10px auto;
        box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
    }
    .header-list{
        width: 70%;
        list-style-type: none;
        font-family: Verdana;
        display: flex;
        position: relative;
        float: right;
    }
    .header-list li{
        width: fit-content;
        height: fit-content;
        font-size: auto;
        margin: auto 5px;
    }
    .header-list li a{
        color: black;
        font-size: fit-content;
        text-decoration: none;
    }
    .matrixgen{
        justify-content: flex-start;
        overflow-x: scroll;
    }
}